Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.openpgp
Interface PGPKeyFlags

    public interface PGPKeyFlags

key flag values for the KeyFlags subpacket.

Field Summary
`static int` | `CAN_CERTIFY`
`static int` | `CAN_ENCRYPT_COMMS`
`static int` | `CAN_ENCRYPT_STORAGE`
`static int` | `CAN_SIGN`
`static int` | `MAYBE_SHARED`
`static int` | `MAYBE_SPLIT`

Field Detail

### CAN_CERTIFY

    static final int CAN_CERTIFY

See Also:
  Constant Field Values

### CAN_SIGN

    static final int CAN_SIGN

See Also:
  Constant Field Values

### CAN_ENCRYPT_COMMS

    static final int CAN_ENCRYPT_COMMS

See Also:
  Constant Field Values

### CAN_ENCRYPT_STORAGE

    static final int CAN_ENCRYPT_STORAGE

See Also:
  Constant Field Values

### MAYBE_SPLIT

    static final int MAYBE_SPLIT

See Also:
  Constant Field Values

### MAYBE_SHARED

    static final int MAYBE_SHARED

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD